summaryrefslogtreecommitdiffstats
path: root/target/linux/s3c24xx/base-files/etc
diff options
context:
space:
mode:
authorMirko Vogt <mirko@openwrt.org>2008-12-12 00:02:36 +0000
committerMirko Vogt <mirko@openwrt.org>2008-12-12 00:02:36 +0000
commitb9dfb81f2aa45be745a8aed9684076210aed4152 (patch)
treeaceadd7f37096911a29c929988cbcf7c964a1c0b /target/linux/s3c24xx/base-files/etc
parent4571721ec22de116ad9998657e0a3c12da6405fb (diff)
downloadmaster-31e0f0ae-b9dfb81f2aa45be745a8aed9684076210aed4152.tar.gz
master-31e0f0ae-b9dfb81f2aa45be745a8aed9684076210aed4152.tar.bz2
master-31e0f0ae-b9dfb81f2aa45be745a8aed9684076210aed4152.zip
add support for target 3c24xx (more known as Openmoko GTA02 "Freerunner") and merge it with the openmoko-target and the work Michael Buesch <mb> did
SVN-Revision: 13609
Diffstat (limited to 'target/linux/s3c24xx/base-files/etc')
-rwxr-xr-xtarget/linux/s3c24xx/base-files/etc/config/network14
-rwxr-xr-xtarget/linux/s3c24xx/base-files/etc/inittab5
-rwxr-xr-xtarget/linux/s3c24xx/base-files/etc/preinit78
3 files changed, 97 insertions, 0 deletions
diff --git a/target/linux/s3c24xx/base-files/etc/config/network b/target/linux/s3c24xx/base-files/etc/config/network
new file mode 100755
index 0000000000..2ea5a4b048
--- /dev/null
+++ b/target/linux/s3c24xx/base-files/etc/config/network
@@ -0,0 +1,14 @@
+# Copyright (C) 2006 OpenWrt.org
+
+config interface loopback
+ option ifname lo
+ option proto static
+ option ipaddr 127.0.0.1
+ option netmask 255.0.0.0
+
+config interface lan
+ option ifname usb0
+ option type bridge
+ option proto static
+ option ipaddr 192.168.1.1
+ option netmask 255.255.255.0
diff --git a/target/linux/s3c24xx/base-files/etc/inittab b/target/linux/s3c24xx/base-files/etc/inittab
new file mode 100755
index 0000000000..feb997ff64
--- /dev/null
+++ b/target/linux/s3c24xx/base-files/etc/inittab
@@ -0,0 +1,5 @@
+::sysinit:/etc/init.d/rcS S boot
+::shutdown:/etc/init.d/rcS K stop
+s3c2410_serial0::askfirst:/bin/ash --login
+s3c2410_serial2::askfirst:/bin/ash --login
+tty1::askfirst:/bin/ash --login
diff --git a/target/linux/s3c24xx/base-files/etc/preinit b/target/linux/s3c24xx/base-files/etc/preinit
new file mode 100755
index 0000000000..abba12dd63
--- /dev/null
+++ b/target/linux/s3c24xx/base-files/etc/preinit
@@ -0,0 +1,78 @@
+#!/bin/sh
+# Copyright (C) 2006 OpenWrt.org
+export PATH=/bin:/sbin:/usr/bin:/usr/sbin
+. /etc/diag.sh
+rm -rf /dev/console
+mknod /dev/console c 204 64
+exec </dev/console > /dev/console 2>&0
+
+failsafe_ip() {
+ ifconfig $ifname 192.168.1.1 netmask 255.255.255.0 broadcast 192.168.1.255 up
+}
+
+failsafe() {
+ [ -n "$ifname" ] && grep "$ifname" /proc/net/dev >/dev/null && {
+ failsafe_ip
+ netmsg 192.168.1.255 "Entering Failsafe!"
+ telnetd -l /bin/login <> /dev/null 2>&1
+ }
+ lock /tmp/.failsafe
+ ash --login
+}
+
+mount none /proc -t proc
+mount none /sys -t sysfs
+
+size=$(awk '/MemTotal:/ {l=5242880;mt=($2*1024);print((s=mt/2)<l)?mt-l:s}' /proc/meminfo)
+mount none /tmp -t tmpfs -o size=$size,nosuid,nodev,mode=1777
+
+if grep devfs /proc/filesystems > /dev/null; then
+ mount none /dev -t devfs
+ M0=/dev/pty/m0
+ M1=/dev/pty/m1
+ HOTPLUG=/sbin/hotplug-call
+else
+ mount -t tmpfs tmpfs /dev -o size=512K
+# mknod /dev/console c 5 1
+ mkdir /dev/shm
+ /sbin/hotplug2 --coldplug --set-rules-file /etc/hotplug2-init.rules
+ /sbin/hotplug2 --no-coldplug --persistent --set-rules-file /etc/hotplug2-init.rules &
+ M0=/dev/ptmx
+ M1=/dev/ptmx
+ HOTPLUG=
+fi
+
+mkdir -p /dev/pts /dev/shm
+mount none /dev/pts -t devpts
+
+# the shell really doesn't like having stdin/out closed
+# that's why we use /dev/pty/m0 and m1 as replacement
+# for /dev/console if there's no serial console available
+dd if=/dev/console of=/dev/null bs=1 count=0 >/dev/null 2>/dev/null && {
+ M0=/dev/console
+ M1=/dev/console
+}
+
+exec <$M0 >$M1 2>&0
+
+echo "- preinit -"
+trap 'FAILSAFE=true' USR1
+[ -e /etc/preinit.arch ] && . /etc/preinit.arch
+set_state preinit
+echo "$HOTPLUG" > /proc/sys/kernel/hotplug
+eval ${FAILSAFE:+failsafe}
+lock -w /tmp/.failsafe
+#mount_root
+[ -f /sysupgrade.tgz ] && {
+ echo "- config restore -"
+ cd /
+ mv sysupgrade.tgz /tmp
+ tar xzf /tmp/sysupgrade.tgz
+ rm -f /tmp/sysupgrade.tgz
+ sync
+}
+
+echo "- init -"
+
+killall hotplug2
+exec /sbin/init